import React, { useEffect, useState } from 'react';
import { useNavigate } from 'react-router-dom';
import Sidebar from '../sidebar/Sidebar';
import './Dashboard.css';

const AdminDashboard = () => {
  const navigate = useNavigate();
  const [userName, setUserName] = useState('');

  useEffect(() => {
    // Fetch user name from localStorage or state management
    const user = JSON.parse(localStorage.getItem('user'));
    if (user && user.name) {
      setUserName(user.name);
    }
  }, []);

  const handleClick = (link) => {
    navigate(link); // Redirect to the provided link
  };

  return (
    <div className="flex flex-row">
      <Sidebar />
      <div className="w-full flex flex-col min-h-screen text-white">
        <header className="w-full p-4 flex justify-between items-center">
          <div className="flex items-center">
            <h1 className="text-#0e355b text-2xl font-bold">admin dashboard</h1>
          </div>
          <div>
            <p className="text-#4b5563">welcome back {userName}</p>
          </div>
        </header>
        <main className="flex-1 flex flex-col items-center justify-center p-6">
          <div className="w-full max-w-3xl text-center">
            <img src="path_to_image" alt="Dashboard Graphic" className="w-full rounded-md mb-6" />
            <button
              className="w-full py-4 bg-#0e355b text-#d1d5db rounded-md font-semibold mb-4 hover:bg-#154676"
              onClick={() => handleClick('')}
            >
              view orders
            </button>
            <button
              className="w-full py-4 bg-#0e355b text-#d1d5db rounded-md font-semibold mb-4 hover:bg-#154676"
              onClick={() => handleClick('/employees')}
            >
              view employees
            </button>
            <button
              className="w-full py-4 bg-#0e355b text-#d1d5db rounded-md font-semibold mb-4 hover:bg-#154676"
              onClick={() => handleClick('')}
            >
              view customers
            </button>
          </div>
        </main>
      </div>
    </div>
  );
};

export default AdminDashboard;
