import React from 'react';
import { Button, Input, Form } from 'antd';
import { Link } from 'react-router-dom';
import axios from 'axios';
import Sidebar from '../sidebar/Sidebar';

const CustomerMeasurements = () => {
  const onFinish = async (values) => {
    const token = localStorage.getItem('token'); // Assuming the token is stored in localStorage

    try {
      const response = await axios.post('http://localhost:8080/measurements', values, {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      });

      console.log(response.data);
    } catch (error) {
      console.error('Error saving measurements:', error);
    }
  };

  return (
    <div className="flex flex-row">
      <Sidebar />
      <div className="w-full flex flex-col min-h-screen text-white">
        <div className="min-h-screen text-#4b5563 p-6">
          <div className="flex justify-between items-center mb-6">
            <h1 className="text-2xl font-semibold text-#0e355b">customer measurements</h1>
            <Link to="/CategoryList" className="text-#0e355b">skip for now</Link>
          </div>
          <Form onFinish={onFinish} className="space-y-4">
            <h2 className="text-lg font-semibold text-#0e355b">upper body measurements</h2>
            <Form.Item name="neck" label={<span className="text-#0e355b">neck circumference (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="chest" label={<span className="text-#0e355b">chest circumference (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="waist" label={<span className="text-#0e355b">waist circumference (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="shoulder" label={<span className="text-#0e355b">shoulder width (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="arm" label={<span className="text-#0e355b">arm length (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="sleeve" label={<span className="text-#0e355b">sleeve length (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>

            <h2 className="text-lg font-semibold text-#0e355b">lower body measurements</h2>
            <Form.Item name="hip" label={<span className="text-#0e355b">hip circumference (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="inseam" label={<span className="text-#0e355b">inseam (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="outseam" label={<span className="text-#0e355b">out seam (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="thigh" label={<span className="text-#0e355b">thigh circumference (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 focus:ring-0" />
            </Form.Item>
            <Form.Item name="ankle" label={<span className="text-#0e355b">ankle circumference (in inch)</span>}>
              <Input className="w-full border-0 border-b border-gray-400 focus:border-#4b5563 " />
            </Form.Item>
            <Form.Item>
              <div className="text-center">
                <button type="submit" className="bg-#0e355b text-#d1d5db px-4 py-2 rounded-md text-sm">
                  save measurements
                </button>
              </div>
            </Form.Item>
          </Form>
        </div>
      </div>
    </div>
  );
};

export default CustomerMeasurements;
