import React, { useState } from 'react';
import { Layout, Drawer, Button } from 'antd';
import { Link } from 'react-router-dom';
import {
  MenuFoldOutlined,
  MenuUnfoldOutlined,
} from '@ant-design/icons';
import BrookslogoIcon from '../../assets/thob-data/BrookslogoIcon.svg';
import HomeIcon from '../../assets/thob-data/HomeIcon.svg';
import AddCustomerIcon from '../../assets/thob-data/AddCustomerIcon.svg';
import OrdersIcon from '../../assets/thob-data/OrdersIcon.svg';
import CategoriesIcon from '../../assets/thob-data/CategoriesIcon.svg';
import CatalogIcon from '../../assets/thob-data/CatalogIcon.svg';
import EmployeeIcon from '../../assets/thob-data/EmployeeIcon.svg';
import MeasurmentsIcon from '../../assets/thob-data/MeasurmentsIcon.svg';
import ProfileIcon from '../../assets/thob-data/ProfileIcon.svg';
import LogoutIcon from '../../assets/thob-data/LogoutIcon.svg';

const { Sider } = Layout;

const AdminSidebar = () => {
  const [visible, setVisible] = useState(false);

  const showDrawer = () => {
    setVisible(true);
  };

  const closeDrawer = () => {
    setVisible(false);
  };

  return (
    <>
      <Sider
        className="desktop-sidebar"
        breakpoint="lg"
        collapsedWidth="0"
        width={80}
        style={{ height: '100vh' }}
      >
        <div className="flex items-center justify-center h-16 w-16 m-5 bg-white" style={{ width: '40px', height: '40px', marginTop: '16px', marginLeft: '20px' }}>   
          <Link to="/admin" className="my-6">
            <img src={BrookslogoIcon} alt="Home" className="hover:opacity-75 sidebar-icon" />
          </Link>
        </div>
        <div className="flex flex-col items-center">
          <Link to="/admin" className="my-6">
            <img src={HomeIcon} alt="Home" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/categories" className="my-6">
            <img src={CategoriesIcon} alt="Categories" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/add-customer" className="my-6">
            <img src={AddCustomerIcon} alt="Add Customer" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/orders" className="my-6">
            <img src={OrdersIcon} alt="Orders" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/catalog" className="my-6">
            <img src={CatalogIcon} alt="Catalog" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employees" className="my-6">
            <img src={EmployeeIcon} alt="Employee" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/measurements" className="my-6">
            <img src={MeasurmentsIcon} alt="Measurements" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/profile" className="my-6">
            <img src={ProfileIcon} alt="Profile" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/admin/logout" className="my-6">
            <img src={LogoutIcon} alt="Logout" className="hover:opacity-75 sidebar-icon" />
          </Link>
        </div>
      </Sider>
    </>
  );
};

export default AdminSidebar;
