import React from 'react';
import { Layout } from 'antd';
import { Link } from 'react-router-dom';
import BrookslogoIcon from '../../assets/thob-data/BrookslogoIcon.svg';
import HomeIcon from '../../assets/thob-data/HomeIcon.svg';
import AddCustomerIcon from '../../assets/thob-data/AddCustomerIcon.svg';
import OrdersIcon from '../../assets/thob-data/OrdersIcon.svg';
import CategoriesIcon from '../../assets/thob-data/CategoriesIcon.svg';
import ProfileIcon from '../../assets/thob-data/ProfileIcon.svg';
import LogoutIcon from '../../assets/thob-data/LogoutIcon.svg';

const { Sider } = Layout;

const EmployeeSidebar = () => {
  return (
    <Sider
      className="desktop-sidebar"
      breakpoint="lg"
      collapsedWidth="0"
      width={70}
      style={{ height: '100vh', display: 'flex', flexDirection: 'column', justifyContent: 'space-between' }}
    >
      <div className="flex flex-col items-center mt-4">
        <div className="flex items-center justify-center h-16 w-16 mb-5 bg-white">
          <Link to="">
            <img src={BrookslogoIcon} alt="Brooks Bingham Logo" className="hover:opacity-75 sidebar-icon" />
          </Link>
        </div>
        <div className="flex flex-col items-center flex-grow">
          <Link to="/employee/home" className="my-6">
            <img src={HomeIcon} alt="Home" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/categories" className="my-6">
            <img src={CategoriesIcon} alt="Categories" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/customers" className="my-6">
            <img src={AddCustomerIcon} alt="Add Customer" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/orders" className="my-6">
            <img src={OrdersIcon} alt="Orders" className="hover:opacity-75 sidebar-icon" />
          </Link>
          <Link to="/employee/profile" className="my-6">
            <img src={ProfileIcon} alt="Profile" className="hover:opacity-75 sidebar-icon" />
          </Link>
        </div>
      </div>
      <div className="flex items-center justify-center mb-4">
        <Link to="/employee/logout">
          <img src={LogoutIcon} alt="Logout" className="hover:opacity-75 sidebar-icon" />
        </Link>
      </div>
    </Sider>
  );
};

export default EmployeeSidebar;
